/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Nov-01-2011 07:27:01pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Givers\Gwendolyn.cs
Lines of code: 78
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class JeepersCreepersQuest : BaseQuest
	{				
		public override object Title{ get{ return "Jeepers Creepers"; } }
		
		public override object Description{ get{ return "Ohhh those carrion creepers keep ruining my garden. They creep on it and get nasty slime all over my herbs, which kills them. As much as I enjoy the look of dead plants, they just won't do for my alchemy.<br><br>Slaughter the lot of them and I'll give you some candy"; } }
		
		public override object Refuse{ get{ return "Grand. I'll have to find a shovel and do it myself then!"; } }
		
		public override object Uncomplete{ get{ return "Check around the woods, that's where the nasty things lurk around."; } }
		
		public override object Complete{ get{ return "Awesome, my plants are already looking better. I just hope those carrion creepers don't return. Here's your bag of candy."; } }
	
		public JeepersCreepersQuest() : base()
		{			
			AddObjective( new SlayObjective( typeof( CarrionCreeper ), "Carrion Creeper", 10 ) );
			
			AddReward( new BaseReward( typeof( CandyBagF ), "A bag of candy" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Marilyn : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( JeepersCreepersQuest )
			};} 
		}
		
		[Constructable]
		public Marilyn() : base( "Marilyn", "the herbologist" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Marilyn( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = true;
			Body = 0x191;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;
			HairHue = 1152;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}